import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getDecryptionExclusion({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getDecryptionExclusion(args: GetDecryptionExclusionArgs, opts?: pulumi.InvokeOptions): Promise<GetDecryptionExclusionResult>;
/**
 * A collection of arguments for invoking getDecryptionExclusion.
 */
export interface GetDecryptionExclusionArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getDecryptionExclusion.
 */
export interface GetDecryptionExclusionResult {
    /**
     * The Description param.
     */
    readonly description: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param.
     */
    readonly name: string;
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getDecryptionExclusion({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getDecryptionExclusionOutput(args: GetDecryptionExclusionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDecryptionExclusionResult>;
/**
 * A collection of arguments for invoking getDecryptionExclusion.
 */
export interface GetDecryptionExclusionOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
