import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getLabelsGetbyidResponse({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getLabelsGetbyidResponse(args: GetLabelsGetbyidResponseArgs, opts?: pulumi.InvokeOptions): Promise<GetLabelsGetbyidResponseResult>;
/**
 * A collection of arguments for invoking getLabelsGetbyidResponse.
 */
export interface GetLabelsGetbyidResponseArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getLabelsGetbyidResponse.
 */
export interface GetLabelsGetbyidResponseResult {
    /**
     * The Description param.
     */
    readonly description: string;
    /**
     * The Folders param.
     */
    readonly folders: string[];
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param.
     */
    readonly name: string;
    /**
     * The Snippets param.
     */
    readonly snippets: string[];
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getLabelsGetbyidResponse({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getLabelsGetbyidResponseOutput(args: GetLabelsGetbyidResponseOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLabelsGetbyidResponseResult>;
/**
 * A collection of arguments for invoking getLabelsGetbyidResponse.
 */
export interface GetLabelsGetbyidResponseOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
