import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a listing of config items.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getSharedInfrastructureSettingsList({});
 * ```
 */
export declare function getSharedInfrastructureSettingsList(args?: GetSharedInfrastructureSettingsListArgs, opts?: pulumi.InvokeOptions): Promise<GetSharedInfrastructureSettingsListResult>;
/**
 * A collection of arguments for invoking getSharedInfrastructureSettingsList.
 */
export interface GetSharedInfrastructureSettingsListArgs {
    /**
     * The Limit param. A limit of -1 will return all configured items. Default: `200`.
     */
    limit?: number;
    /**
     * The Offset param. Default: `0`.
     */
    offset?: number;
}
/**
 * A collection of values returned by getSharedInfrastructureSettingsList.
 */
export interface GetSharedInfrastructureSettingsListResult {
    /**
     * The Data param.
     */
    readonly datas: outputs.GetSharedInfrastructureSettingsListData[];
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * The Limit param. A limit of -1 will return all configured items. Default: `200`.
     */
    readonly limit: number;
    /**
     * The Offset param. Default: `0`.
     */
    readonly offset: number;
    readonly tfid: string;
    /**
     * The Total param.
     */
    readonly total: number;
}
/**
 * Retrieves a listing of config items.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getSharedInfrastructureSettingsList({});
 * ```
 */
export declare function getSharedInfrastructureSettingsListOutput(args?: GetSharedInfrastructureSettingsListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSharedInfrastructureSettingsListResult>;
/**
 * A collection of arguments for invoking getSharedInfrastructureSettingsList.
 */
export interface GetSharedInfrastructureSettingsListOutputArgs {
    /**
     * The Limit param. A limit of -1 will return all configured items. Default: `200`.
     */
    limit?: pulumi.Input<number>;
    /**
     * The Offset param. Default: `0`.
     */
    offset?: pulumi.Input<number>;
}
