import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 */
export declare function getTrafficSteeringRule(args: GetTrafficSteeringRuleArgs, opts?: pulumi.InvokeOptions): Promise<GetTrafficSteeringRuleResult>;
/**
 * A collection of arguments for invoking getTrafficSteeringRule.
 */
export interface GetTrafficSteeringRuleArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getTrafficSteeringRule.
 */
export interface GetTrafficSteeringRuleResult {
    /**
     * The Action param.
     */
    readonly action: outputs.GetTrafficSteeringRuleAction;
    /**
     * The Category param.
     */
    readonly categories: string[];
    /**
     * The Destination param.
     */
    readonly destinations: string[];
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param.
     */
    readonly name: string;
    /**
     * The Service param.
     */
    readonly services: string[];
    /**
     * The SourceUser param.
     */
    readonly sourceUsers: string[];
    /**
     * The Source param.
     */
    readonly sources: string[];
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 */
export declare function getTrafficSteeringRuleOutput(args: GetTrafficSteeringRuleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrafficSteeringRuleResult>;
/**
 * A collection of arguments for invoking getTrafficSteeringRule.
 */
export interface GetTrafficSteeringRuleOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
