import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 */
export declare function getUrlCategory(args: GetUrlCategoryArgs, opts?: pulumi.InvokeOptions): Promise<GetUrlCategoryResult>;
/**
 * A collection of arguments for invoking getUrlCategory.
 */
export interface GetUrlCategoryArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getUrlCategory.
 */
export interface GetUrlCategoryResult {
    /**
     * The Description param.
     */
    readonly description: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The List param.
     */
    readonly lists: string[];
    /**
     * The Name param.
     */
    readonly name: string;
    readonly tfid: string;
    /**
     * The Type param. String must be one of these: `"URL List"`, `"Category Match"`. Default: `"URL List"`.
     */
    readonly type: string;
}
/**
 * Retrieves a config item.
 */
export declare function getUrlCategoryOutput(args: GetUrlCategoryOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUrlCategoryResult>;
/**
 * A collection of arguments for invoking getUrlCategory.
 */
export interface GetUrlCategoryOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
