import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getWildfireAntiVirusProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getWildfireAntiVirusProfile(args: GetWildfireAntiVirusProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetWildfireAntiVirusProfileResult>;
/**
 * A collection of arguments for invoking getWildfireAntiVirusProfile.
 */
export interface GetWildfireAntiVirusProfileArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getWildfireAntiVirusProfile.
 */
export interface GetWildfireAntiVirusProfileResult {
    /**
     * The Description param.
     */
    readonly description: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The MlavExceptions param.
     */
    readonly mlavExceptions: outputs.GetWildfireAntiVirusProfileMlavException[];
    /**
     * The Name param. String validation regex: `^[a-zA-Z0-9._-]+$`.
     */
    readonly name: string;
    /**
     * The PacketCapture param.
     */
    readonly packetCapture: boolean;
    /**
     * The Rules param.
     */
    readonly rules: outputs.GetWildfireAntiVirusProfileRule[];
    readonly tfid: string;
    /**
     * The ThreatExceptions param.
     */
    readonly threatExceptions: outputs.GetWildfireAntiVirusProfileThreatException[];
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getWildfireAntiVirusProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getWildfireAntiVirusProfileOutput(args: GetWildfireAntiVirusProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWildfireAntiVirusProfileResult>;
/**
 * A collection of arguments for invoking getWildfireAntiVirusProfile.
 */
export interface GetWildfireAntiVirusProfileOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
