import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = new scm.InternalDnsServer("example", {});
 * ```
 */
export declare class InternalDnsServer extends pulumi.CustomResource {
    /**
     * Get an existing InternalDnsServer resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: InternalDnsServerState, opts?: pulumi.CustomResourceOptions): InternalDnsServer;
    /**
     * Returns true if the given object is an instance of InternalDnsServer.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is InternalDnsServer;
    /**
     * The DomainNames param.
     */
    readonly domainNames: pulumi.Output<string[]>;
    /**
     * The Name param.
     */
    readonly name: pulumi.Output<string>;
    /**
     * The Primary param.
     */
    readonly primary: pulumi.Output<string>;
    /**
     * The Secondary param.
     */
    readonly secondary: pulumi.Output<string | undefined>;
    readonly tfid: pulumi.Output<string>;
    /**
     * Create a InternalDnsServer resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: InternalDnsServerArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering InternalDnsServer resources.
 */
export interface InternalDnsServerState {
    /**
     * The DomainNames param.
     */
    domainNames?: pulumi.Input<pulumi.Input<string>[]>;
    /**
     * The Name param.
     */
    name?: pulumi.Input<string>;
    /**
     * The Primary param.
     */
    primary?: pulumi.Input<string>;
    /**
     * The Secondary param.
     */
    secondary?: pulumi.Input<string>;
    tfid?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a InternalDnsServer resource.
 */
export interface InternalDnsServerArgs {
    /**
     * The DomainNames param.
     */
    domainNames: pulumi.Input<pulumi.Input<string>[]>;
    /**
     * The Name param.
     */
    name?: pulumi.Input<string>;
    /**
     * The Primary param.
     */
    primary: pulumi.Input<string>;
    /**
     * The Secondary param.
     */
    secondary?: pulumi.Input<string>;
}
